package siprp.database.cayenne.objects;

import siprp.database.cayenne.objects.auto._TrabalhadoresEcdsDatasObservacoes;

public class TrabalhadoresEcdsDatasObservacoes extends _TrabalhadoresEcdsDatasObservacoes {
	
	private static final long serialVersionUID = 1L;
	
	private String name = null;
	
	private String convertedName = null;
	
	@Override
	public String toString()
	{
		return getObservacao();
	}
	
	@Override
	public String getObservacao()
	{
		String currentName = super.getObservacao();
		if( name == null || !name.equals( currentName ))
		{
			name = currentName;
			convertedName = null;
		}
		return convertName();
	}
	
	@Override
	public void setObservacao( String nome )
	{
		super.setObservacao( nome != null ? parseToUnicode( nome ) : null );
		getObservacao();
	}

	private String convertName()
	{
		if( name == null )
		{
			convertedName = null;
		}
		else
		{
			convertedName = parseFromUnicode( name );
		}
		return convertedName;
	}

}



